commit df2f733cd99e45587d670c49ad6a7e76da0ec384
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Tue Sep 14 10:21:20 2021

    Remove superfluous call to UI_Is_In_Int_Range
    
    gcc/ada/
            * gcc-interface/utils.c (can_materialize_object_renaming_p): Do not
            call UI_Is_In_Int_Range on the result of Normalized_First_Bit.

diff --git a/gcc/ada/gcc-interface/utils.c b/gcc/ada/gcc-interface/utils.c
index bfacb0eaeb4..b71f7489066 100644
--- a/gcc/ada/gcc-interface/utils.c
+++ b/gcc/ada/gcc-interface/utils.c
@@ -5858,8 +5858,7 @@ can_materialize_object_renaming_p (Node_Id expr)
 
 	    const Uint bitpos
 	      = Normalized_First_Bit (Entity (Selector_Name (expr)));
-	    if (!UI_Is_In_Int_Range (bitpos)
-		|| (bitpos != UI_No_Uint && bitpos != UI_From_Int (0)))
+	    if (bitpos != UI_No_Uint && bitpos != Uint_0)
 	      return false;
 
 	    expr = Prefix (expr);

